C_PROTO_CALLBACK(3)

PROTO_FUNC
c_PROTO_callback - Generic callback.

SYNOPSIS
#include <karma_c.h>

flag c_PROTO_callback

(void *object, void *client1_data, void *call_data, void *client2_data)

DESCRIPTION
This routine is called when object callbacks are called.

object
    The object information pointer.

client1_data
    The first client information pointer.

call_data
    The call information pointer.

client2_data
    The second client information pointer.

RETURN VALUE
TRUE if further callbacks should not be called, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/